#!/bin/sh

# SP 210a - 0.0.1 - GuestToo - Aug 27, 2006

# ----- only install on 210
if ! grep 210 /etc/puppyversion > /dev/null
then
  xmessage -center "ERROR: Install only on Puppy 2.10"
  exit
fi

# ----- backup geany.conf
[ -r /root/.geany/geanyBAK.conf ] || cp -f /root/.geany/geany.conf /root/.geany/geanyBAK.conf

tar -xzP --no-same-owner -f dotpup.tar.gz

# ----- Rox menu keyboard shortcuts
[ -r /root/Choices/ROX-Filer/menus ] || cp -f /tmp/menus /root/Choices/ROX-Filer/
rm -f /tmp/menus

# ----- symlink gimp to mtpaint
### disabled:
### which gimp || ln -s /usr/local/bin/mtpaint /usr/local/bin/gimp

# ----- remove gimp to mtpaint symlink
[ -L /usr/local/bin/gimp ] && rm -f /usr/local/bin/gimp

# display "installed" message
EDT=rox
which leafpad && EDT=leafpad
$EDT /tmp/readme.txt &
